mscorlib 1.0.5000.0 2.0.0.0 System.Enum An enumeration of common directories on the file system.

The enumeration is used by .

Not all directories in this enumeration will be available on all platforms for all users. When running on the Windows operating system, the operating system determines the paths to these directories.

- Field
  System.Environment+SpecialFolder ApplicationData The directory for application data specific to the user executing the program. On non-Windows operating systems, this path is the value of the environment variable XDG_CONFIG_HOME if it is set, otherwise the ".config" directory in the current user's home directory. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder CommonApplicationData The directory for data shared by applications. On non-Windows operating systems, the "/usr/share" directory. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder CommonProgramFiles The CommonProgramFiles directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Cookies The cookies directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Desktop The desktop directory. On Unix operating systems, this is either XDG_DESKTOP_DIR from the environment, XDG_DESKTOP_DIR as read from the "user-dirs.dirs" within the SpecialFolder.ApplicationData directory, or as a last resort, the directory named "Desktop" within the SpecialFolder.Personal directory (usually the home directory). To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder DesktopDirectory The same as the Desktop enumeration value. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Favorites The Favorites directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder History The History directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder InternetCache The Internet cache directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder LocalApplicationData The directory for application data shared by users of the computer. On non-Windows operating systems, this path is the value of the environment variable XDG_DATA_HOME if it is set, otherwise the ".local/share" directory in the current user's home directory. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder MyComputer The My Computer directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder To be added. 2.0.0.0
- Field
  System.Environment+SpecialFolder MyMusic The music directory. On Unix operating systems, this is either XDG_MUSIC_DIR from the environment, XDG_MUSIC_DIR as read from the "user-dirs.dirs" within the SpecialFolder.ApplicationData directory, or as a last resort, the directory named "Music" within the SpecialFolder.Personal directory (usually the home directory). To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder MyPictures The pictures directory. On Unix operating systems, this is either XDG_PICTURES_DIR from the environment, XDG_PICTURES_DIR as read from the "user-dirs.dirs" within the SpecialFolder.ApplicationData directory, or as a last resort, the directory named "Pictures" within the SpecialFolder.Personal directory (usually the home directory). To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Personal The personal or home directory for the current user. On non-Windows operating systems, this is the user's home directory. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder ProgramFiles The ProgramFiles directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Programs The Programs directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Recent The Recent files directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder SendTo The SendTo directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder StartMenu The directory displayed by the start menu. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Startup The Startup directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder System The system directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Environment+SpecialFolder Templates The Templates directory. Not available non-Windows operating systems. To be added. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)